using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Lada.Framework.Data.Repositories
{
    public interface IBaseRepository<T> where T:class
    {
        IQueryable<T> Query();
        Task<int> InsertAsync(T entity);
        Task<int> InsertAsync(IEnumerable<T> entities);
        Task<int> UpdateAsync(T entity);
        Task<int> UpdateAsync(IEnumerable<T> entities);

    }
}
